V1 Update Loans

Submits a batch request to the server to update multiple loans.

Usage Notes

  • This API request can only be invoked by a user with Administrator access to the systems.
  • A request can include either a loanGuids or a filter attribute, but not both.

Response

After submitting loan batch update request successfully, the requestId will be included in the response as part of location header. In addition, the LoanUpdates DB table is updated with the new values for the loans. Use V1 Get Status to view the status of the updates.

Status Codes

  • The done status code indicates that the loan batch update request has been submitted successfully.
  • The error status code indicates that it is failed to submit a loan batch update request in the submission process. For example, the error could come from duplicated field Ids found in the submission process. In this scenario, requestId will be included in the responding error message.
Body Params
string

Comma-separated list of loan IDs (or GUIDs) of the loans to update. Note that if a loanGuid is invalid, that loan is skipped and not updated.

string

Loan data elements and values to update. Use GET /loans/supportedEntities to view the list of entities that can be returned. The loanData payload will be similar to the payload specified in the POST /loans request.

string

Filter terms you can query against are: canonicalName, value, matchType, include, and precision.

Headers
string
required

Bearer token

Response

Language